var _a;
import { Chain } from '@inkerlabs/sdk';
import { utils } from 'ethers';
export var networks = (_a = {},
    _a[Chain.MAINNET] = {
        chainId: utils.hexValue(1),
        chainName: 'Ethereum Mainnet',
        nativeCurrency: { symbol: 'ETH', decimals: 18 },
        rpcUrls: ['https://mainnet.infura.io/v3/'],
        blockExplorerUrls: ['https://etherscan.io'],
    },
    _a[Chain.RINKEBY] = {
        chainId: utils.hexValue(4),
        chainName: 'Rinkeby Test Network',
        nativeCurrency: { symbol: 'ETH', decimals: 18 },
        rpcUrls: ['https://rinkeby.infura.io/v3/'],
        blockExplorerUrls: ['https://rinkeby.etherscan.io'],
    },
    _a[Chain.POLYGON_MAINNET] = {
        chainId: utils.hexValue(137),
        chainName: 'Matic(Polygon) Mainnet',
        nativeCurrency: { name: 'MATIC', symbol: 'MATIC', decimals: 18 },
        rpcUrls: ['https://polygon-rpc.com'],
        blockExplorerUrls: ['https://www.polygonscan.com/'],
    },
    _a[Chain.POLYGON_MUMBAI] = {
        chainId: utils.hexValue(80001),
        chainName: 'Matic(Polygon) Mumbai Testnet',
        nativeCurrency: { name: 'tMATIC', symbol: 'tMATIC', decimals: 18 },
        rpcUrls: ['https://matic-mumbai.chainstacklabs.com'],
        blockExplorerUrls: ['https://mumbai.polygonscan.com/'],
    },
    _a);
export var chainIds = {
    '0x1': Chain.MAINNET,
    '0x4': Chain.RINKEBY,
    '0x89': Chain.POLYGON_MAINNET,
    '0x13881': Chain.POLYGON_MUMBAI,
};
export var defaultChains = ["0x1", "0x4"];
